# Get Defaults By ID

This operation fetches the values set for the Defaults.

Endpoint: GET /api/v1/defaults/{defaultID}
Version: 1.0.0
Security: bearerAuth

## Path parameters:

  - `defaultID` (string, required)
    This is unique identifier assigned to Defaults while its creation using CreateDefaults API.

## Response 200 fields (application/json):

  - `name` (string)
    Name of the created Default. For example: Domestic.
    Example: Domestic

  - `defaultID` (string)
    Unique identifier assigned to the Default while its creation using CreateDefaults API.
    Example: 0d4f3c51-059b-4c28-a83b-a8defa2962cc

  - `createdDate` (string)
    The timestamp when the Default is created.
    Example: 2024-08-06T06:12:46.258Z

  - `updatedDate` (string)
    The timestamp when the Default is updated.
    Example: 2024-08-06T06:12:46.258Z

  - `sendingOptions` (object)
    Sending Options includes used carrier related details, sender details, and parcel details.

  - `sendingOptions.carrier` (string)
    Name of the carrier. E.g., FedEx.
    Example: FedEx

  - `sendingOptions.service` (string)
    Name of the carrier-based service. E.g., 2DA.
    Example: 2DA

  - `sendingOptions.carrierAccounts` (object)
    Name of the carrier account which is provided while adding carrier.
    Example: {"USPS":"JYKEb4VQvoVx!","FEDEX":"WRF4VFUUJDx!"}

  - `sendingOptions.carrierAccounts.key` (string)
    Key mapped with the name of the carrier.

  - `sendingOptions.carrierAccounts.value` (string)
    Value mapped with the CarrierAccount of the used carrier.
    Example: null

  - `sendingOptions.labelSize` (string)
    Size of the label, e.g., DOC_4X6.
    Enum: "DOC_4X6"

  - `sendingOptions.labelType` (string)
    Type of the Label, e.g., Shipping_Label.
    Example: SHIPPING_LABEL

  - `sendingOptions.labelFormat` (string)
    Format of the Label, e.g., PDF.
    Example: PDF

  - `sendingOptions.fromAddress` (object)
    The complete address of the Sender.

  - `sendingOptions.fromAddress.name` (string)
    The name of the Sender to which this address points.
    Example: Sender Name

  - `sendingOptions.fromAddress.addressLine1` (string)
    The addressLine1 contains the Flat number, Building or Apartment Name/number (if any) or company name (if not residential) of the Sender.  `Max length = 35`.
    Example: 1600 Amphitheatre Parkway

  - `sendingOptions.fromAddress.addressLine2` (string)
    The addressLine2 contains Street address or Landmark (if any).
    Example: near abc street

  - `sendingOptions.fromAddress.addressLine3` (string)
    The addressLine3 contains P.O. Box (if any) near the address.
    Example: near xyz street

  - `sendingOptions.fromAddress.company` (string)
    The name of the company, in case if the senders address is not residential.
    Example: PB

  - `sendingOptions.fromAddress.email` (string)
    This must be senders's valid email. Email is required if the customer is using GoFor Carrier.  `Max length = 30`
    Example: testuser@gmail.com

  - `sendingOptions.fromAddress.phone` (string)
    This is sender's phone number. Enter the digits with or without spaces or hyphens. The maximum limit of characters for Phone number are 10 digits.
    Example: 6502530000

  - `sendingOptions.fromAddress.cityTown` (string)
    The name of the city or town the Sender's address belongs to.  `Max length = 30`.
    Example: Mountain View

  - `sendingOptions.fromAddress.stateProvince` (string)
    "The name of the State or Province the Sender belongs to. It is the `2-letter` State or Province Code for US or Canadian address(es).
 Below is the hyperlink for CA country that will navigate to its Province/State Codes page. Similarly, respective country users can check for their country- State/Province codes.
 Please switch to the `Search` tab, select `Country codes` radio button, enter the required country name or country code, and then click `SEARCH` button.  `Max length = 2`"
    Example: CA

  - `sendingOptions.fromAddress.postalCode` (string)
    The Postal Code or ZIP Code of the address.  For CA addresses, use a `six-character` alphanumeric string Postal Code in this format: 'A1A 1A1'.  While for US addresses, use either the `5-digit` or `9-digit` ZIP Code in one of the following formats: '12345' or '12345-6789'.  `Max length = 10`
    Example: 94043

  - `sendingOptions.fromAddress.inductionPostalCode` (string)
    The postal code where the shipment is tendered to the carrier. If an induction postal code is specified in the "fromAddress", it will be used for rate calculations and determining manifest eligibility instead of the standard postal code. If not specified, the postal code from the "fromAddress" will be used.
    Example: 06905

  - `sendingOptions.fromAddress.countryCode` (string)
    "The country in which the sender's address is located. The value will be the two-character ISO Code of the country from the ISO country list.  Use ISO 3166-1 Alpha-2 standard values. For best results this should be included, especially if the country name does not appear in any of the unparsedAddressLines.
 Below is the hyperlink, please select `Country codes` and then click `SEARCH` button.  `Max length = 2`"
    Example: US

  - `sendingOptions.fromAddress.residential` (boolean)
    The specified address can be Residential or Official. In case if the address is Residential, the boolean value will be 'true', else it will take 'false'.
    Example: true

  - `sendingOptions.altReturnAddress` (object)
    This is an optional field. if a package shipped from Location_A to Location_B needs to return to Location_C. The alternate address will be printed on the label. Use this object to specify a return address different from the fromAddress. Supported by FedEx, UPS, and Purolator.

  - `sendingOptions.altReturnAddress.addressLine1` (string)
    The first line of the alternate return address, such as a street address or PO Box.
    Example: 500 Terry Francois Blvd

  - `sendingOptions.altReturnAddress.addressLine2` (string)
    The addressLine2 contains Street address or Landmark (if any).
    Example: near abc street

  - `sendingOptions.altReturnAddress.addressLine3` (string)
    The addressLine3 contains P.O. Box (if any) near the address.
    Example: near xyz street

  - `sendingOptions.altReturnAddress.company` (string)
    The name of the company for the alternate return address, in case if the recipient's address is not residential.  `Max length = 30`.
    Example: PB

  - `sendingOptions.altReturnAddress.email` (string)
    The email address of the recipient. It can be person's email address or company email address (for non-residential).
    Example: user@email.com

  - `sendingOptions.altReturnAddress.residential` (boolean)
    The specified address can be Residential or Official. In case if the address is Residential, the boolean value will be 'true', else it will take 'false'.
    Example: true

  - `sendingOptions.altReturnAddress.cityTown` (string)
    The city or town for the alternate return address.
    Example: San Francisco

  - `sendingOptions.altReturnAddress.countryCode` (string)
    The two-letter ISO country code for the alternate return address.
    Example: US

  - `sendingOptions.altReturnAddress.name` (string)
    The name of the recipient or organization for the alternate return address.
    Example: User Name

  - `sendingOptions.altReturnAddress.phone` (string)
    The phone number associated with the alternate return address.
    Example: 415-555-7890

  - `sendingOptions.altReturnAddress.postalCode` (string)
    The postal or ZIP code for the alternate return address.
    Example: 94158

  - `sendingOptions.altReturnAddress.stateProvince` (string)
    The 2-letter state or province code for the alternate return address.
    Example: CA

  - `sendingOptions.parcel` (object)
    The details of the Parcel.

  - `sendingOptions.parcel.length` (number)
    Length is always the greatest of the three dimensions. The other two dimensions are used in the calculation of the girth.
    Example: 2

  - `sendingOptions.parcel.width` (number)
    There is no strict rule as to which element is the width or the height, but the width is the second greatest dimension of a parcel by convention.
    Example: 1

  - `sendingOptions.parcel.height` (number)
    By convention, the height is the smallest dimension of the parcel.
    Example: 1

  - `sendingOptions.parcel.dimUnit` (string)
    DimUnit is a standard for measuring the physical quantities of specified dimension parameters.
    Example: IN

  - `sendingOptions.parcel.weightUnit` (string, required)
    WeightUnit is a standard for measuring the physical quantities of specified weight.  For USPS shipments, this is OZ.
    Example: OZ

  - `sendingOptions.parcel.weight` (number)
    Weight measures the heaviness of an object (how heavy an object is) .
    Example: 2

  - `sendingOptions.parcel.packageValue` (number)
    Indicates value of the package.
    Example: 2

## Response 400 fields (application/json):

  - `errorCode` (string)
    Error code(s) that appear due to HTTP  400- Invalid or Bad Request, e.g., validation-error.
    Example: validation_error

  - `errorDescription` (string)
    The HTTP 400 Bad Request response status code indicates that the server cannot process the request due to something that is perceived to be a client error (e.g., malformed request syntax, invalid request message framing, or deceptive request routing).
    Example: string

  - `additionalCode` (string)
    A unique identifier for the error, for example 1101055, 0100008, or 1021126.

  - `additionalInfo` (string)
    This is an additional information about the error. This error 'Invalid Request' might appear due to invalid dimension, weight, or serviceID, or if the information is missing.

  - `additionalParameters` (array)

## Response 401 fields (application/json):

  - `message` (string, required)
    This is HTTP 401 Unauthorized response status code, which indicates that the client request has not been completed because it lacks valid authentication credentials for the requested resource.

## Response 500 fields (application/json):

  - `message` (string, required)
    This is HTTP 500 Internal Server Error response status code, which indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.

